aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-cache-simple-timedexpiry/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-05-31 14:16:48 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-05-31 14:16:48 +0000
commit2e1a706f69c0ae4cf56232c3b9a7fbce55360f7a (patch)
tree6cb6a8fbc1f894b26a0444766ac01af516b0dc84 /testing/perl-cache-simple-timedexpiry/APKBUILD
parent35261426b1d33e4c91cd80f15f65e38f3773ac1f (diff)
downloadaports-2e1a706f69c0ae4cf56232c3b9a7fbce55360f7a.tar.gz
aports-2e1a706f69c0ae4cf56232c3b9a7fbce55360f7a.tar.bz2
aports-2e1a706f69c0ae4cf56232c3b9a7fbce55360f7a.tar.xz
testing/perl-cache-simple-timedexpiry: new aport
Cache::Simple::TimedExpiry perl module http://search.cpan.org/dist/Cache-Simple-TimedExpiry/
Diffstat (limited to 'testing/perl-cache-simple-timedexpiry/APKBUILD')
-rw-r--r--testing/perl-cache-simple-timedexpiry/APKBUILD39
1 files changed, 39 insertions, 0 deletions
diff --git a/testing/perl-cache-simple-timedexpiry/APKBUILD b/testing/perl-cache-simple-timedexpiry/APKBUILD
new file mode 100644
index 0000000000..7d4018a866
--- /dev/null
+++ b/testing/perl-cache-simple-timedexpiry/APKBUILD
@@ -0,0 +1,39 @@
+# Contributor: Natanael Copa <ncopa@alpinelinux.org>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=perl-cache-simple-timedexpiry
+pkgver=0.27
+pkgrel=0
+pkgdesc="Cache::Simple::TimedExpiry perl module"
+url="http://search.cpan.org/dist/Cache-Simple-TimedExpiry/"
+arch="noarch"
+license="GPLv2 or Artistic"
+depends="perl"
+makedepends="perl-dev"
+install=""
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/J/JE/JESSE/Cache-Simple-TimedExpiry-$pkgver.tar.gz"
+
+_builddir="$srcdir"/Cache-Simple-TimedExpiry-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+ make && make test || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="4ef124ab7776f3c257b9ffbed917e67a Cache-Simple-TimedExpiry-0.27.tar.gz"